package com.huigou.topsun.sap.exceptionReport.application;

import com.huigou.topsun.sap.exceptionReport.domain.ExceptionReportCash;
import com.huigou.topsun.sap.exceptionReport.domain.ExceptionReportDutyPerson;
import com.huigou.topsun.sap.exceptionReport.domain.query.ExceptionReportQueryRequest;

import java.util.List;
import java.util.Map;

/**
 * @Auther: lxh
 * @Date: 2024/08/21/19:35
 * @Description:
 */
public interface ExceptionReportCashApplication {
    public static final String QUERY_XML_FILE_PATH = "config/topsun/sap/exceptionReport/exceptionReport.xml";
    List<ExceptionReportCash> findByExceptionReportId(String exceptionReportId);

    void saveExceptionReportCashList(String exceptionReportId,List<ExceptionReportCash> cashList);

    Map<String,Object> slicedExceptionReportCashList(ExceptionReportQueryRequest queryRequest);

    void deleteByIds(List<String> ids);

    void saveExceptionReportCash(ExceptionReportCash exceptionReportCash);
}
